aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2023-08-07 01:04:15 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2023-08-07 01:04:15 +0200
commit8bc64b7f500ba6cb266659f72899546a5e188af1 (patch)
tree9afafa88c1f13713f9045ba056a21c8ab627d7ef
parentMake verbosity possible (diff)
downloadmastermirror-scripts-8bc64b7f500ba6cb266659f72899546a5e188af1.tar.gz
mastermirror-scripts-8bc64b7f500ba6cb266659f72899546a5e188af1.tar.bz2
mastermirror-scripts-8bc64b7f500ba6cb266659f72899546a5e188af1.zip
Add --no-run-if-empty
Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
-rwxr-xr-xsign-sync-binpackages.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sign-sync-binpackages.sh b/sign-sync-binpackages.sh
index ed85e11..b437ccb 100755
--- a/sign-sync-binpackages.sh
+++ b/sign-sync-binpackages.sh
@@ -92,8 +92,8 @@ for t in ${STAGINGTREE}/*/*/* ; do
fi
# sign the packages
- [[ ${VERBOSE} == '1' ]] && xargs -n1 -- gpkg-sign "{}" < ${STAGINGTREE}/.unsigned || exit 113
- [[ ${VERBOSE} == '1' ]] || xargs -n1 -- gpkg-sign "{}" < ${STAGINGTREE}/.unsigned > /dev/null || exit 113
+ [[ ${VERBOSE} == '1' ]] && xargs -n1 --no-run-if-empty -- gpkg-sign "{}" < ${STAGINGTREE}/.unsigned || exit 113
+ [[ ${VERBOSE} == '1' ]] || xargs -n1 --no-run-if-empty -- gpkg-sign "{}" < ${STAGINGTREE}/.unsigned > /dev/null || exit 113
# regenerate the indices
[[ ${VERBOSE} == '1' ]] && PKGDIR=${t} emaint -f binhost || exit 114